<?php

$requiredVersion = 'version 1'; // La version interdite

$composerVersion = trim(shell_exec('COMPOSER_ALLOW_SUPERUSER=1 composer --version --no-ansi'));
echo $composerVersion."\n";

if (stripos($composerVersion,$requiredVersion)===false ) {
    echo "La version de Composer $requiredVersion n'est pas autorisée" . PHP_EOL;
    echo "Veuillez mettre à jour Composer avec 'composer self-update --1'." . PHP_EOL;
    echo "Ou executez le scripts/reconfigure.sh" . PHP_EOL;
    exit(1); // Quitte avec un code d'erreur
}